DOCS
Dashboardnorth_eastGet an API keyvpn_key
PAI Chat·Endpoint
GET/chat/saas/{chatId}

Retrieve a chat with its messages (SaaS team member access)

Retrieve a chat with its messages (SaaS team member access)

GET/chat/saas/attribute-countsarrow_forward
tune
Parameters
chatIdrequiredpath
string (uuid)
double_arrow
Returns 200
idrequired
string (uuid)
userId
string (uuid)
name
string
incognitorequired
boolean
expiresAt
string (date-time)
createdAtrequired
string (date-time)
updatedAtrequired
string (date-time)
messagesrequired
array
report
Errors
StatusDescription
404Default Response
500Default Response
north_east
Request
curl -X GET 'https://chat-api-dev.paicloud.ai//chat/saas/{chatId}' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
south_west
Response
200 OK
application/json
{
  "id": "00000000-0000-0000-0000-000000000001",
  "userId": "00000000-0000-0000-0000-000000000001",
  "name": "name",
  "incognito": true,
  "expiresAt": "2026-01-01T00: 00:00Z",
  "createdAt": "2026-01-01T00: 00:00Z",
  "updatedAt": "2026-01-01T00: 00:00Z",
  "messages": [
    {
      "id": "00000000-0000-0000-0000-000000000001",
      "chatId": "00000000-0000-0000-0000-000000000001",
      "role": "role",
      "content": "content",
      "finishReason": "finishReason",
      "error": true,
      "createdAt": "2026-01-01T00: 00:00Z",
      "updatedAt": "2026-01-01T00: 00:00Z"
    }
  ]
}